let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const upsertZoneApi = async (
    projectId: string,
    versionId: string,
    zoneData: Zone
) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/upsertZone`, {
            method: "POST",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
            body: JSON.stringify({ projectId, versionId, zoneData }),
        });

        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            console.error("Failed to upsert zone:", response.statusText);
        }

        const result = await response.json();
        return result;
    } catch (error) {
        echo.error("Failed to upsert zone");
        if (error instanceof Error) {
            console.log(error.message);
        } else {
            console.log("An unknown error occurred");
        }
    }
};
